XcmsConvertColors(3) | Library Functions Manual | XcmsConvertColors(3)

# NAME

XcmsConvertColors - convert CCC color specifications

# SYNTAX

Status XcmsConvertColors(XcmsCCC ccc, XcmsColor colors_in_out[], unsigned int ncolors, XcmsColorFormat target_format, Bool compression_flags_return[]);

# ARGUMENTS

ccc
  Specifies the CCC. If Conversion is between device-independent color spaces only (for example, TekHVC to CIELuv), the CCC is necessary only to specify the Client White Point.

colors_in_out
  Specifies an array of color specifications. Pixel members are ignored and remain unchanged upon return.

compression_flags_return
  Returns an array of Boolean values indicating compression status. If a non-NULL pointer is supplied, each element of the array is set to True if the corresponding color was compressed and False otherwise. Pass NULL if the compression status is not useful.

ncolors
  Specifies the number of XcmsColor structures in the color-specification array.

target_format
  Specifies the target color specification format.

# DESCRIPTION

The XcmsConvertColors function converts the color specifications in the specified array of XcmsColor structures from their current format to a single target format, using the specified CCC. When the return value is XcmsFailure, the contents of the color specification array are left unchanged.
The array may contain a mixture of color specification formats (for example, 3 CIE XYZ, 2 CIE Luv, and so on). When the array contains both device-independent and device-dependent color specifications and the target_format argument specifies a device-dependent format (for example, XcmsRGBiFormat, XcmsRGBFormat), all specifications are converted to CIE XYZ format and then to the target device-dependent format.

# SEE ALSO

DisplayOfCCC(3), XcmsCCCOfColormap(3), XcmsCreateCCC(3), XcmsDefaultCCC(3), XcmsSetWhitePoint(3)
Xlib - C Language X Interface

X Version 11 | XLIB FUNCTIONS